App\Entity\Customer:
    exclusion_policy: All
    custom_accessor_order: [id, name, number, comment, visible, company, contact, address, country, currency, phone, fax, mobile, email, homepage, timezone, fixedRate, hourlyRate, color, budget, timeBudget, metaFields]
    properties:
        id:
            include: true
        name:
            include: true
        number:
            include: true
            groups: [Entity]
        comment:
            include: true
            groups: [Entity]
        visible:
            include: true
        budget:
            include: true
            groups: [Entity]
        timeBudget:
            include: true
            groups: [Entity]
        company:
            include: true
            groups: [Entity]
        contact:
            include: true
            groups: [Entity]
        address:
            include: true
            groups: [Entity]
        country:
            include: true
            groups: [Entity]
        currency:
            include: true
            groups: [Entity]
        phone:
            include: true
            groups: [Entity]
        fax:
            include: true
            groups: [Entity]
        mobile:
            include: true
            groups: [Entity]
        email:
            include: true
            groups: [Entity]
        homepage:
            include: true
            groups: [Entity]
        timezone:
            include: true
            groups: [Entity]
        fixedRate:
            include: true
            groups: [Customer]
        hourlyRate:
            include: true
            groups: [Customer]
        color:
            include: true
        metaFields:
            exclude: true
    virtual_properties:
        getMetaFields:
            serialized_name: metaFields
            exp: "object.getVisibleMetaFields()"
            type: array<App\Entity\CustomerMeta>
            groups: [Default]
